#ifndef QAD_SQL_TABLE_H
#define QAD_SQL_TABLE_H

#include <QtDesigner/QtDesigner>
#include <QtCore/qplugin.h>

class QADSQLTable: public QObject, public QDesignerCustomWidgetCollectionInterface
{
	Q_OBJECT
	Q_INTERFACES(QDesignerCustomWidgetCollectionInterface)

public:
	explicit QADSQLTable(QObject * parent = 0);
	virtual QList<QDesignerCustomWidgetInterface * > customWidgets() const;

private:
	QList<QDesignerCustomWidgetInterface * > m_widgets;

};

#endif // QAD_SQL_TABLE_H
